当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 9.10版本中gvim启动报错--------------------求助!!!------标题要长!
帖子发表于 : 2009-11-01 20:31 

注册: 2009-11-01 20:22
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
各位大大:
    小弟ubuntu刚刚升级成910,装完各种所需软件以后按以前的一样将vim以及其gui版本都新立得下来,
 但这个时候出现了问题,原本在804里好好的gvim居然报错,尽管能打开其,但每次启动都报出:
** (gvim:14235): CRITICAL **: gtk_form_set_static_gravity: assertion `static_gravity_supported' failed

** (gvim:14235): CRITICAL **: gtk_form_set_static_gravity: assertion `static_gravity_supported' failed

** (gvim:14235): CRITICAL **: gtk_form_set_static_gravity: assertion `static_gravity_supported' failed

** (gvim:14235): CRITICAL **: gtk_form_set_static_gravity: assertion `static_gravity_supported' failed

** (gvim:14235): CRITICAL **: gtk_form_set_static_gravity: assertion `static_gravity_supported' failed
这样的警告,terminal也会停顿几秒钟。我已经将所有的gvim版本都弄下来了,包括gnome和gtk2版本的,若仅仅启动vim则完全没有问题

哪位GVIM或者ubuntu环境高手帮帮小弟啊   :em06


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 9.10版本中gvim启动报错--------------------求助!!!------标题要长!
帖子发表于 : 2009-11-08 8:37 

注册: 2008-12-05 20:48
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
这是一个没有修复的bug:
https://bugs.launchpad.net/ubuntu/+sour ... bug/402188

解决办法是


This bug is present in the release version of Karmic. Hopefully this warrants a "recommended updates" fix.

As a temporary workaround until it is fixed, you can declare an alias for gvim in your .bashrc pointed to 'gvim 2>/dev/null'. This will suppress all stderr messages, including this one, but bear in mind that if gvim encounters any other errors that would normally be reported via stderr, these will not be shown either.


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译